Bug 64768 - gcc: Internal error: Segmentation fault (program cpp0)
gcc: Internal error: Segmentation fault (program cpp0)
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-10 14:28 EDT by Bill Jones
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-13 13:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Jones 2002-05-10 14:28:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
gcc preprocessor crashes during make of source file. I suspect
this the issue is with multiple nested include files as I can
reproduce the crash immediately trying to compile any of the
four source files in the target subdir. They all include the
same master header file which in turn includes all other
files required for the project. I saved the core file.
The specific compiler version is gcc-2.96-81.src.rpm.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run top level makefile
2.top make invokes lib subdirectory Makefile
3.lib Makefile builds one assembler module OK,
then crashes on first .c file. Reordering build of
.c files yields identical failure.

NOTE: I cannot provide the actual source as it is
protected under an NDA. Hopefully you can debug this
from the core file.

Actual Results: 
Making alldirs in /home/wbj/src/nTCI/lib ...
make[1]: Entering directory `/home/wbj/src/nTCI/lib'
/usr/local/pthreads/bin/pgcc -c -D_TS_ERRNO -D_POSIX_PTHREAD_SEMANTICS
-USPARSE_TRAFFIC=30  misc.c protmisc.c diagsvr.c ipc.c
gcc: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [WaitFor.o] Error 1
make[1]: Leaving directory `/home/wbj/src/nTCI/lib'
**** BUILD FAILED in /home/wbj/src/nTCI/lib - aborting

Expected Results:  The top level build would successfully build each subdir
in the project in turn.

Additional info:

I can forward the core file. Please advise as to how.
Comment 1 Jakub Jelinek 2002-05-10 14:32:46 EDT
Please try gcc-2.96-110 (and cpp-2.96-110) first.
Comment 2 Bill Jones 2002-05-10 15:03:47 EDT
I'll be happy to upgrade to gcc-2.96-110 (and cpp-2.96-110). Where can I get the .rpm?
I assume I can just install the .rpm atop the current gcc installation. Yes?
Comment 3 Jakub Jelinek 2002-05-10 15:07:51 EDT
After downloading, just run rpm -Fvh *2.96-110*
Comment 4 Bill Jones 2002-05-10 17:43:31 EDT
The URL you provided appeasr to not exist. The only URL I've found off the ftp site that comes close to
matching is ftp://ftp.redhat.com/pub/redhat/redhat-7.3-en/os/i386/SRPMS/, but that directory contains
only source packages. Please check the URL and update.
Comment 5 Bill Jones 2002-05-10 18:28:27 EDT
Disregard previous note. I believe I found the packages you referred me to
at ftp://ftp.redhat.com/pub/redhat/linux/7.3/en/os/i386/RedHat/RPMS/
Comment 6 Bill Jones 2002-05-13 09:52:48 EDT
Fri May 10 18:34:34 PDT 2002:

I've hit an impasse. I downloaded all the origianal .rpm you
pointed me to:

When I tried the install, I got a dependency error from rpm
complaining of a back leveled binutils. So, I downloaded


Now I get the following error from rpm:

    error: failed dependencies:
            libc.so.6(GLIBC_2.2.3)   is needed by binutils-
I can find no .rpm package containing either libc.so.6 or GLIBC_2.2.3
in its name. So, what package do I need to satisfy this dependency?
Comment 7 Jakub Jelinek 2002-05-13 09:58:20 EDT
Looks like you're missing http://rhn.redhat.com/errata/RHSA-2001-160.html
Comment 8 Bill Jones 2002-05-13 13:56:59 EDT
Upgrading the C compiler and run time appeasr to have resolved the problem.
Please close this ticket.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.